// ds3231.h
// 2018.04.10
// Programm fuer MIDI-Block 
// Version fuer die Pruefung von Uhr DS3231
#ifndef DS3231_H
#define DS3231_H 1

#define ds3231_RTC_adr_write 0b11010000
#define ds3231_RTC_adr_read  0b11010001	

extern unsigned char ds3231_hour;
extern unsigned char ds3231_min;
extern unsigned char ds3231_sec;

extern unsigned char ds3231_day;
extern unsigned char ds3231_wday;
extern unsigned char ds3231_month;
extern unsigned char ds3231_year;

extern unsigned int  ds3231_temp;
extern unsigned char ds3231_t1;
extern unsigned char ds3231_t2;

extern unsigned char ds3231_alarm_hour;
extern unsigned char ds3231_alarm_min;
extern unsigned char ds3231_alarm_on;

//    (   )
unsigned char ds3231_bcd (unsigned char data);
unsigned char ds3231_bin(unsigned char dec);
//   
//   
void ds3231_RTC_init(void);
//    
void ds3231_RTC_read_time(void);
//  
void ds3231_RTC_write_time(unsigned char hour1,unsigned char min1, unsigned char sec1);
//  
void ds3231_RTC_write_date(unsigned char wday, unsigned char day, unsigned char month, unsigned char year);
//  
void ds3231_RTC_read_temper(void);
//   
void ds3231_put_wday (unsigned char platz);
//  
void ds3231_put_time (unsigned char platz);
//  
void ds3231_put_temperatur (unsigned char platz);
//    
void ds3231_temp_start(void);

//  
void ds3231_hour_plus(void);
//  
void ds3231_min_plus(void);
//  
void ds3231_sec_res(void);
//   
void ds3231_wday_plus(void);

#endif	/* DS3231_H */
