// i2c_prog.h Programm-i2c Master
// 2018.04.10
// Programm fuer MIDI-Block 
// Version fuer die Pruefung von Uhr DS3231
#ifndef I2C_PROG_H
#define I2C_PROG_H 1

#include "meine_verzoegerung.h" 	//Verzoegerungen

#define I2C_SDA 	PC1
#define I2C_SCL		PC0
#define I2C_PORT	PORTC
#define I2C_PIN		PINC
#define I2C_DDR		DDRC
	
#define I2C_FAST		1
//#define I2C_STANDARD	1


//#define I2C_DELAY	_delay_us(1);

#ifdef I2C_STANDARD	// x 0,1 us
	#define I2C_DELAY_HIGH			meine_verzoegerung_delcycle(47);
	#define I2C_DELAY_MID			meine_verzoegerung_delcycle(47);
	#define I2C_DELAY_LOW			meine_verzoegerung_delcycle(40);
#endif /* I2C_STANDARD */

#ifdef I2C_FAST
	#define I2C_DELAY_HIGH			meine_verzoegerung_delcycle(13);
	#define I2C_DELAY_MID			meine_verzoegerung_delcycle(6);
	#define I2C_DELAY_LOW			meine_verzoegerung_delcycle(6);
#endif /* I2C_FAST */

//*************************************************************
extern volatile unsigned char i2c_frame_error; // wenn > 0, war frame-Fehler 
// (nach STOP sind SDA und SCL nicht HIGH geworden. 

void i2c_init (void);	// Initialisieren von Pins
void i2c_start_cond (void);	// macht "Start"
void i2c_restart_cond (void);	// macht "Restart"
void i2c_stop_cond (void);	// macht "Stop"
unsigned char i2c_send_byte (unsigned char data);	// gibt ACK zurueck.
// wenn=1, Sendung fehlerhaft, wenn=0, richtig.
// data = Byte fuer Senden

unsigned char i2c_get_byte (unsigned char last_byte);	// gibt gelesene byte zurueck
// last_byte = 1 heisst, lesen letzte byte.
// last_byte = 0 heisst, dass wir auch weiter lesen werden.



#endif	/* I2C_PROG_H */ 
